BlockTrade V1
curl --request GET \
--url 'https://api.benzinga.com/api/v1/signal/block_trade?token='import requests
url = "https://api.benzinga.com/api/v1/signal/block_trade?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/signal/block_trade?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"block_trade": [
{
"ask": "30.7",
"bid": "30.13",
"count": 1,
"date": "2026-01-06",
"description": "Block Trade: CFLT 2.2M @ $30.15",
"exchange": "NASDAQ",
"executing_exchange": "L",
"id": "695d0f6d8f047b0001fefed9",
"name": "Confluent",
"price": "30.15",
"sale_conditions": "@ TW",
"size": "2216727",
"ticker": "CFLT",
"time": "08:34:34",
"updated": 1767706477
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Calendars
Blocktrade
Returns block trade data, which includes unusually large trades that may indicate institutional trading activity
GET
/
api
/
v1
/
signal
/
block_trade
BlockTrade V1
{
"block_trade": [
{
"ask": "30.7",
"bid": "30.13",
"count": 1,
"date": "2026-01-06",
"description": "Block Trade: CFLT 2.2M @ $30.15",
"exchange": "NASDAQ",
"executing_exchange": "L",
"id": "695d0f6d8f047b0001fefed9",
"name": "Confluent",
"price": "30.15",
"sale_conditions": "@ TW",
"size": "2216727",
"ticker": "CFLT",
"time": "08:34:34",
"updated": 1767706477
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0
Number of results returned. Limit 1000
Start date in YYYY-MM-DD format
End date in YYYY-MM-DD format
One or more ticker symbols separated by a comma. Maximum 50 tickers
Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
Response
Block Trade
API response containing an array of block trade records
Show child attributes
Show child attributes
Was this page helpful?
⌘I